Subject: bug#17806: 24.4.50; Branch emacs-24 fails to beuild on Debian

From: Paul Eggert <[email-masked]>
Date: Fri, 20 Jun 2014 16:55:33 -0700

Stefan Monnier wrote:
> I generally use byte-compilation
> of Emacs's files as my own benchmark.

I tried that benchmark (i.e., remove all *.elc files and then time 
'make', on emacs-24 bzr 117270, Fedora 20 x86-64, GCC 4.9.0), and if I 
take the sum of user+system CPU time the version with link time 
optimization was 0.12% faster.  I don't know whether that's within the 
margin of error for measurement.  So it could be that LTO is a 
performance win, albeit a tiny one, for that sort of thing.